hwlocality_distances_consult(3)

NAME
hwlocality_distances_consult - Helpers for consulting distance matrices

SYNOPSIS

  Functions
int hwloc_distances_obj_index (struct hwloc_distances_s *distances, hwloc_obj_t obj)
int hwloc_distances_obj_pair_values (struct hwloc_distances_s *distances, hwloc_obj_t obj1, hwloc_obj_t obj2, hwloc_uint64_t *value1to2, hwloc_uint64_t *value2to1)

Detailed Description

Function Documentation

  int hwloc_distances_obj_index (struct hwloc_distances_s * distances, hwloc_obj_t obj) [inline]

Find the index of an object in a distances structure.

Returns
    the index of the object in the distances structure if any.

    -1 if object obj is not involved in structure distances.

  int hwloc_distances_obj_pair_values (struct hwloc_distances_s * distances, hwloc_obj_t obj1, hwloc_obj_t obj2, hwloc_uint64_t * value1to2, hwloc_uint64_t * value2to1) [inline]

Find the values between two objects in a distance matrices. The distance from obj1 to obj2 is stored in the value pointed by value1to2 and reciprocally.

Returns
    0 on success.

    -1 if object obj1 or obj2 is not involved in structure distances.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.